Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #342 (closed defect: fixed)

Opened 13 years ago

Last modified 10 years ago

R 1416 on XScale LE Oops kernel with 2.6.15 on modprobe ath_pci

Reported by: loft@nc.rr.com Assigned to:
Priority: major Milestone: version 0.9.5
Component: madwifi: driver Version: trunk
Keywords: XScale LE 2.6.15 r1416 Cc:
Patch is attached: 0 Pending:

Description

I'm running Debian ARM (LE) with a custom 2.6.15 kernel on a IXP425 board. I built the kernel and madwifi-ng driver with version 1416. Unfortunately, it oopses when I modprobe ath_pci.

Below are the svn info, uname, gcc version, /proc/cpuinfo, and oops information.

Please let me know what else I should provide.

TIA

Tom

tom@Loft:~/madwifi-ng$ svn info
Path: .
URL: http://svn.madwifi.org/trunk
Repository UUID: 0192ed92-7a03-0410-a25b-9323aeb14dbd
Revision: 1416
Node Kind: directory
Schedule: normal
Last Changed Author: proski
Last Changed Rev: 1416
Last Changed Date: 2006-01-25 17:48:15 +0000 (Wed, 25 Jan 2006)


tom@Loft:~/madwifi-ng$ uname -a
Linux Loft 2.6.15 #2 PREEMPT Thu Jan 26 16:44:07 UTC 2006 armv5tel GNU/Linux
tom@Loft:~/madwifi-ng$ gcc -v
Reading specs from /usr/lib/gcc-lib/arm-linux/3.3.5/specs
Configured with: ../src/configure -v --enable-languages=c,c++,java,f77,pascal,objc,treelang --prefix=/usr --mandir=/usr/sha
re/man --infodir=/usr/share/info --with-gxx-include-dir=/usr/include/c++/3.3 --enable-shared --enable-__cxa_atexit --with-s
ystem-zlib --enable-nls --without-included-gettext --enable-clocale=gnu --enable-debug --enable-java-gc=boehm --enable-java
-awt=xlib --enable-objc-gc arm-linux
Thread model: posix
gcc version 3.3.5 (Debian 1:3.3.5-13)
tom@Loft:~/madwifi-ng$ cat /proc/cpuinfo
Processor       : XScale-IXP42x Family rev 1 (v5l)
BogoMIPS        : 532.48
Features        : swp half thumb fastmult edsp
CPU implementer : 0x69
CPU architecture: 5TE
CPU variant     : 0x0
CPU part        : 0x41c
CPU revision    : 1
Cache type      : undefined 5
Cache clean     : undefined 5
Cache lockdown  : undefined 5
Cache format    : Harvard
I size          : 32768
I assoc         : 32
I line length   : 32
I sets          : 32
D size          : 32768
D assoc         : 32
D line length   : 32
D sets          : 32

Hardware        : Giant Shoulder Inc Loft board
Revision        : 0000
Serial          : 0000000000000000
tom@Loft:~/madwifi-ng$

Loft:~# modprobe ath_hal
ath_hal: module license 'Proprietary' taints kernel.
ath_hal: 0.9.16.13 (AR5210, AR5211, AR5212, RF5111, RF5112, RF2413, RF5413, REGOPS_FUNC, DFS)
Loft:~# lsmod
Module                  Size  Used by
ath_hal               218776  0
Loft:~# modprobe wlan
wlan: 0.8.4.2 (Atheros/multi-bss)
Loft:~# lsmod
Module                  Size  Used by
wlan                  174472  0
ath_hal               218776  0
Loft:~# modprobe ath_rate_sample
ath_rate_sample: 1.2
Loft:~# lsmod
Module                  Size  Used by
ath_rate_sample        10816  0
wlan                  174472  1 ath_rate_sample
ath_hal               218776  1 ath_rate_sample
Loft:~# modprobe ath_pci
ath_pci: 0.9.4.5 (Atheros/multi-bss)
PCI: enabling device 0000:00:02.0 (0140 -> 0142)
Unable to handle kernel paging request at virtual address 48004004
pgd = c31b0000
[48004004] *pgd=00000000
Internal error: Oops: f5 [#1]
Modules linked in: ath_pci ath_rate_sample wlan ath_hal
CPU: 0
PC is at ath_hal_reg_read+0x10/0x18 [ath_hal]
LR is at zz016d9d41+0x50/0x1b4 [ath_hal]
pc : [<bf000234>]    lr : [<bf013018>]    Tainted: P
sp : c3aabd30  ip : c3aabd40  fp : c3aabd3c
r10: 00000000  r9 : bf07d464  r8 : 48000000
r7 : c3aabdc8  r6 : 00000001  r5 : c32f8000  r4 : c32f8000
r3 : 48000000  r2 : 00000001  r1 : 00004004  r0 : c32f8000
Flags: nzCv  IRQs on  FIQs on  Mode SVC_32  Segment user
Control: 397F  Table: 031B0000  DAC: 00000015
Process modprobe (pid: 962, stack limit = 0xc3aaa194)
Stack: (0xc3aabd30 to 0xc3aac000)
bd20:                                     c3aabd58 c3aabd40 bf013018 bf000230
bd40: 00000000 c32f8000 00000001 c3aabd74 c3aabd5c bf0131b4 bf013004 c31b4000
bd60: c32f8000 c32f8000 c3aabdac c3aabd78 bf00fd60 bf013188 c3aabdc8 0000a808
bd80: c3aaa000 c31b4000 c31b4260 48000000 c31b4000 48000000 bf07d464 00000000
bda0: c3aabdc0 c3aabdb0 bf00061c bf00fd2c c3aabdc8 c3aabde0 c3aabdc4 bf000024
bdc0: bf000554 c3aabdc8 c3aabdd4 c31b4000 c31b4260 c3aabe34 c3aabde4 bf06716c
bde0: bf00000c c3aabe00 c002dc54 c35d5860 0000001b c31b58ec 00000001 00000013
be00: c3aabe34 c3aabe10 080234a8 c31b4000 c03cd800 48000000 c31b4260 48000000
be20: bf07d464 000167d0 c3aabe6c c3aabe38 bf0763b0 bf06700c c31b4000 00000000
be40: 0826c5ec bf07d608 c03cd800 00000000 bf07d630 00000000 c3aaa000 000167d0
be60: c3aabe7c c3aabe70 c015ec14 bf076178 c3aabe98 c3aabe80 c015ec6c c015ebfc
be80: bf07d608 c03cd800 bf07d630 c3aabeb0 c3aabe9c c015ecb0 c015ec24 c03cd844
bea0: 00000000 c3aabecc c3aabeb4 c0178a18 c015ec90 c03cd908 c3aabee4 c0178b14
bec0: c3aabee0 c3aabed0 c0178b60 c01789c8 00000000 c3aabf0c c3aabee4 c0178040
bee0: c0178b20 c02c95c8 c02c95c8 c03cd88c bf07d630 c02c94e0 bf07d644 00000000
bf00: c3aabf1c c3aabf10 c0178bac c0177ff8 c3aabf3c c3aabf20 c0178524 c0178b98
bf20: bf07d630 bf07d6e0 c3aaa000 c02c0300 c3aabf54 c3aabf40 c0178fe8 c01784b4
bf40: 000167d0 bf07d608 c3aabf70 c3aabf58 c015ef48 c0178fb4 c3aabf74 c02c0318
bf60: bf07d6e0 c3aabf80 c3aabf74 bf07f030 c015eee0 c3aabfa4 c3aabf84 c0058f38
bf80: bf07f00c 000093d0 00000003 00016968 00000080 c0021f64 00000000 c3aabfa8
bfa0: c0021de0 c0058dd8 000093d0 00000003 40142000 0001c1c0 000167d0 00000000
bfc0: 000093d0 00000003 00016968 00016974 00000000 000166e0 000167d0 00000000
bfe0: 400eb960 bec85b18 0000a678 400eb96c 60000010 40142000 00000000 00000000
Backtrace:
[<bf000224>] (ath_hal_reg_read+0x0/0x18 [ath_hal]) from [<bf013018>] (zz016d9d41+0x50/0x1b4 [ath_hal])
[<bf012ff8>] (zz016d9d41+0x30/0x1b4 [ath_hal]) from [<bf0131b4>] (zz016e1251+0x38/0x6c [ath_hal])
 r6 = 00000001  r5 = C32F8000  r4 = 00000000
[<bf01317c>] (zz016e1251+0x0/0x6c [ath_hal]) from [<bf00fd60>] (zz0005b6b2+0x40/0x76c [ath_hal])
 r6 = C32F8000  r5 = C32F8000  r4 = C31B4000
[<bf00fd20>] (zz0005b6b2+0x0/0x76c [ath_hal]) from [<bf00061c>] (ath_hal_attach+0xd4/0x18c [ath_hal])
[<bf000548>] (ath_hal_attach+0x0/0x18c [ath_hal]) from [<bf000024>] (_ath_hal_attach+0x24/0xd4 [ath_hal])
[<bf000000>] (_ath_hal_attach+0x0/0xd4 [ath_hal]) from [<bf06716c>] (ath_attach+0x16c/0x1160 [ath_pci])
 r5 = C31B4260  r4 = C31B4000
[<bf067000>] (ath_attach+0x0/0x1160 [ath_pci]) from [<bf0763b0>] (ath_pci_probe+0x244/0x358 [ath_pci])
[<bf07616c>] (ath_pci_probe+0x0/0x358 [ath_pci]) from [<c015ec14>] (pci_call_probe+0x24/0x28)
[<c015ebf0>] (pci_call_probe+0x0/0x28) from [<c015ec6c>] (__pci_device_probe+0x54/0x6c)
[<c015ec18>] (__pci_device_probe+0x0/0x6c) from [<c015ecb0>] (pci_device_probe+0x2c/0x44)
 r6 = BF07D630  r5 = C03CD800  r4 = BF07D608
[<c015ec84>] (pci_device_probe+0x0/0x44) from [<c0178a18>] (driver_probe_device+0x5c/0xac)
 r5 = 00000000  r4 = C03CD844
[<c01789bc>] (driver_probe_device+0x0/0xac) from [<c0178b60>] (__driver_attach+0x4c/0x78)
 r6 = C0178B14  r5 = C3AABEE4  r4 = C03CD908
[<c0178b14>] (__driver_attach+0x0/0x78) from [<c0178040>] (bus_for_each_dev+0x54/0x84)
 r4 = 00000000
[<c0177fec>] (bus_for_each_dev+0x0/0x84) from [<c0178bac>] (driver_attach+0x20/0x28)
 r7 = 00000000  r6 = BF07D644  r5 = C02C94E0  r4 = BF07D630
[<c0178b8c>] (driver_attach+0x0/0x28) from [<c0178524>] (bus_add_driver+0x7c/0xcc)
[<c01784a8>] (bus_add_driver+0x0/0xcc) from [<c0178fe8>] (driver_register+0x40/0x4c)
 r7 = C02C0300  r6 = C3AAA000  r5 = BF07D6E0  r4 = BF07D630
[<c0178fa8>] (driver_register+0x0/0x4c) from [<c015ef48>] (__pci_register_driver+0x74/0xac)
 r4 = BF07D608
[<c015eed4>] (__pci_register_driver+0x0/0xac) from [<bf07f030>] (init_ath_pci+0x30/0x78 [ath_pci])
 r5 = BF07D6E0  r4 = C02C0318
[<bf07f000>] (init_ath_pci+0x0/0x78 [ath_pci]) from [<c0058f38>] (sys_init_module+0x16c/0x318)
[<c0058dcc>] (sys_init_module+0x0/0x318) from [<c0021de0>] (ret_fast_syscall+0x0/0x2c)
 r8 = C0021F64  r7 = 00000080  r6 = 00016968  r5 = 00000003
 r4 = 000093D0
Code: e1a0c00d e92dd800 e24cb004 e5903014 (e7930001)
 Segmentation fault

Change History

01/28/06 00:18:08 changed by proski

Apparently HAL is trying to read from an invalid address. Please see what happens to the address returned by ioremap() in if_ath_pci.c. Is it equal to ah->ah_sh in the beginning of ath_hal_reg_read()? What's the value of reg? How does reg compare to the memory size for the device, as shown by "lspci -v"?

Not all platforms use ath_hal_reg_read(), but PowerPC does, and it's working for me (at least it doesn't crash on load).

03/05/06 07:01:37 changed by jacques

  • patch_attached changed.
ath_pci_probe: mem == 48010000                  
ath_hal_reg_read: ah->ah_sh == 48010000
ath_hal_reg_read: reg == 4004          
...
0000:00:02.0 Ethernet controller: Atheros Communications, Inc. AR5212 802.11abg NIC (rev 01)
        Subsystem: Global Sun Technology Inc: Unknown device 7104
        Flags: bus master, medium devsel, latency 168, IRQ 27
        Memory at 48010000 (32-bit, non-prefetchable) [size=64K]
        Capabilities: [44] Power Management version 2
...
ath_hal: 0.9.16.16 (AR5210, AR5211, AR5212, RF5111, RF5112, RF2413, RF5413, REGO
PS_FUNC)
wlan: 0.8.4.2 (svn 1460)
ath_rate_sample: 1.2 (svn 1460)
ath_pci: 0.9.4.5 (svn 1460)    
PCI: enabling device 0000:00:02.0 (0140 -> 0142)
ath_pci_probe: mem == 48010000                  
ath_hal_reg_read: ah->ah_sh == 48010000
ath_hal_reg_read: reg == 4004          
Unable to handle kernel paging request at virtual address 48014004
pgd = c3578000                                                    
[48014004] *pgd=00000000
Internal error: Oops: f5 [#1]
Modules linked in: ath_pci ath_rate_sample wlan ath_hal reiserfs
CPU: 0                                                          
pc : [<bf03823c>]    lr : [<00000001>]    Tainted: P     
sp : c3e85bd0  ip : 48010000  fp : c3e85be4              
r10: c370e000  r9 : bf09f520  r8 : 48010000
r7 : c3e85c70  r6 : 00000001  r5 : 00004004  r4 : c3758000
r3 : 00000000  r2 : 00004004  r1 : bf061288  r0 : c3758000

06/21/07 23:08:54 changed by mtaylor

  • status changed from new to closed.
  • resolution set to fixed.

Fixed in trunk.

06/27/07 12:18:09 changed by mrenzmann

  • milestone set to version 0.9.4.

02/11/08 06:10:33 changed by mrenzmann

  • milestone changed from version 0.9.4 to version 0.9.5.

02/19/09 08:53:10 changed by anonymous

my platfrom can attach success some Radio,but the Finally two Radio can 't attach success,the abort info as fellow:

PCI: enabling device 0000:02:0e.0 (0340 -> 0342) pcibios_enable_device 0000:02:0e.0 (0340 -> 0342) PCI(dev) Header Info: 0x0013168c 0x02900016 0x02000001 0x0000a808 0x48110000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00005001 0x2051168c 0x00000000 0x00000044 0x00000000 0x1c0a0117 0x00000000 0x01c20001 0xc6004000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 ioremap phys_addr=0x48110000 VMALLOC_START=0xc4800000 addr=0xc5900000 0x10000 offset=0x0 ar5212Attach: sc c321c000 st 00000000 sh c5900000 ar5212Attach serv=0x79 ath_hal_getwmodesnreg: entering ath_hal_getwmodesnreg ...... wifi3: Atheros 5212: mem=0x48110000, irq=23 hw_base=0xc5900000

PCI: enabling device 0000:02:0f.0 (0340 -> 0342) pcibios_enable_device 0000:02:0f.0 (0340 -> 0342) PCI(dev) Header Info: 0x0013168c 0x02900016 0x02000001 0x0000a808 0x48120000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00005001 0x2051168c 0x00000000 0x00000044 0x00000000 0x1c0a0116 0x00000000 0x01c20001 0xc6004000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 0x00000000 ioremap phys_addr=0x48120000 VMALLOC_START=0xc4800000 addr=0xc5920000 0x10000 offset=0x0 ar5212Attach: sc c2c8c000 st 00000000 sh c5920000 Unable to handle kernel paging request at virtual address c5924004 pgd = c3940000 [c5924004] *pgd=03c8a011, *pte=00000000, *ppte=00000000 Internal error: Oops: 7 #1 Modules linked in: ath_pci ath_dev ath_rate_atheros wlan ath_hal ixp400_eth ixp400 CPU: 0 PC is at ath_hal_reg_read+0x30/0x7c [ath_hal] LR is at 0xc2c90000 pc : [<bf10d258>] lr : [<c2c90000>] Tainted: PF sp : c3919adc ip : 00004004 fp : c3919af4 r10: 00000000 r9 : c3919bd4 r8 : 00000000 r7 : 00000001 r6 : c2c90000 r5 : bf14fa48 r4 : 00000001 r3 : c5920000 r2 : c3919af4 r1 : 00004004 r0 : c2c90000 Flags: Nzcv IRQs on FIQs on Mode SVC_32 Segment user Control: 39FF Table: 03940000 DAC: 00000015 Process insmod (pid: 75, stack limit = 0xc3918194) Stack: (0xc3919adc to 0xc391a000) 9ac0: c2c944e0 9ae0: c3919bec 00000001 c3919bec c3919af8 bf1182b0 bf10d234 bf14fa48 bf14fa48 9b00: bf14fa80 00000013 c2c8c000 00000000 c5920000 c2c90000 bf1148d0 00000000 9b20: c3919bd4 c5920000 00000000 c02a42c4 00000000 00000000 c024e568 00000044 9b40: 000200d0 c024e568 00000004 000000d0 00000002 c3dca2e0 000000d0 c024e568 9b60: c3919ba8 c3919b70 c005eec4 c005eab8 000200d0 0000001f c3919bb4 c3919b88 9b80: c00332a8 c0033068 0000a808 40000013 c3919bdb bf1dbe14 c3919bd4 bf1b76c4 9ba0: bf1dbe14 00000000 c2c8c000 00000013 c2c8bdec c3919bec bf10d810 00000000 9bc0: c3919bd4 00000000 bf10d044 00000000 c3919bd4 c0105720 0000137c c2c8a260 9be0: c3919c6c c3919bf0 bf1b7bdc bf10d00c c3919c2c ffffc000 60000013 00000000 9c00: c3919c3c c3919c1c 00000001 20000013 00000004 c3919d3c 00000001 c024e0a8 9c20: 000000d0 00000001 c3919c84 c3919c38 00000008 c005e574 00000044 c003dfc0 9c40: c003dd58 c2c8bdec c2c8bb70 c2c8bb74 00001924 c2c8a260 bf1dd0a8 c2c8bdec 9c60: c3919cfc c3919c70 bf1d3578 bf1b7b10 c2c8bdec c2c8bb70 c2c8bb74 c2c8a260 9c80: c005eec4 c005eab8 000200d0 48120000 00000010 c5920000 c035f440 00000004 9ca0: c035e5a0 00000000 c02b7840 000000d0 00000000 c3919cf0 c3919cc4 c0062134 9cc0: c0061c50 00000001 a0000013 c0396c00 00001924 c2c8a000 c0396c00 c2c8a000 9ce0: 48120000 c2c8a260 bf1dd0a8 c2c8bdec c3919d28 c3919d00 bf1cebdc bf1d3524 9d00: c019f110 00000000 c0396c00 c2c8a000 48120000 c2c8a260 c5920000 c3919d74 9d20: c3919d2c bf1cf0b4 bf1cebb4 c0396cac c3919d50 00000000 00000000 00000000 9d40: c5920000 00000000 c3919d08 c0396c00 bf1dbd50 ffffffed 00000000 c487018c 9d60: c3af7b20 00000000 c3919d94 c3919d78 c010798c bf1cee2c c0396c44 00000000 9d80: bf1dbd78 bf1dbd78 c3919db0 c3919d98 c01266f4 c0107938 c0396d08 c3919dc8 9da0: c01267ec c3919dc4 c3919db4 c0126838 c01266a4 00000000 c3919df0 c3919dc8 9dc0: c0125e14 c01267f8 c0252788 c0252788 c0396c8c bf1dbd8c bf1dbd78 00000000 9de0: c02526a0 c3919e00 c3919df4 c0126884 c0125dd0 c3919e28 c3919e04 c012623c 9e00: c0126870 bf1dbd78 bf1dbee8 00000000 c024df04 c487018c c3af7af4 c3919e40 9e20: c3919e2c c0126c10 c01261dc c3af7af4 bf1dbd50 c3919e5c c3919e44 c01077f4 9e40: c0126bdc c3919e60 c024df14 bf1dbee8 c3919e6c c3919e60 bf1dd030 c010778c 9e60: c3919fa4 c3919e70 c0057758 bf1dd00c 00000000 00000348 bf1dbef4 000002f4 9e80: 00000030 c00fac24 00000000 c3919edc c3919e9c bf1da64c 00000000 00000204 9ea0: c3cd0200 bf1dd000 0000000b 00000000 00000000 00000000 0000000a 00000000 9ec0: 0000000f 00000000 00000000 00000000 00000015 00000014 c48754bc c48700d8 9ee0: c4865000 c3918000 c0239510 00000000 c0239718 00000000 c006bb08 c3ddccec 9f00: 00000000 c3de07a0 00000000 00000000 00000000 00000012 00000000 00000000 9f20: c3ddccec c3ddccf8 c3ddce8c 00000001 00000001 c3918000 40095000 c3de07a0 9f40: 00000000 00011b8f c3919fa4 c3919f58 c002bc70 c0077b28 00000001 00000000 9f60: 00000000 00000000 00011b8f 00000001 00000001 00000003 00000000 00000003 9f80: 00000000 00000000 00000080 c0027ca4 c3918000 00000002 00000000 c3919fa8 9fa0: c0027b20 c0056388 00000000 00000000 00900080 40095000 00011b8f 0007b008 9fc0: 00000003 00000000 00000000 bee24bd4 bee24d13 00000002 00000002 0000bb44 9fe0: 40052778 bee24aa4 000172f8 40052788 20000010 00900080 3344b28c 33cc338c Backtrace: [<bf10d228>] (ath_hal_reg_read+0x0/0x7c [ath_hal]) from [<bf1182b0>] (ar5212SetPowerMode+0x80/0x250 [ath_hal])

r4 = 00000001

[<bf10d000>] (_ath_hal_attach+0x0/0x9c [ath_hal]) from [<bf1b7bdc>] (ath_dev_attach+0xd8/0x1028 [ath_dev])

r5 = C2C8A260 r4 = 0000137C

[<bf1b7b04>] (ath_dev_attach+0x0/0x1028 [ath_dev]) from [<bf1d3578>] (ath_attach+0x60/0x9d4 [ath_pci]) [<bf1d3518>] (ath_attach+0x0/0x9d4 [ath_pci]) from [<bf1cebdc>] (ath_attach+0x34/0x1e0 [ath_pci]) [<bf1ceba8>] (ath_attach+0x0/0x1e0 [ath_pci]) from [<bf1cf0b4>] (ath_pci_probe+0x294/0x398 [ath_pci]) [<bf1cee20>] (ath_pci_probe+0x0/0x398 [ath_pci]) from [<c010798c>] (pci_device_probe+0x60/0x80) [<c010792c>] (pci_device_probe+0x0/0x80) from [<c01266f4>] (driver_probe_device+0x5c/0xa8)

r7 = BF1DBD78 r6 = BF1DBD78 r5 = 00000000 r4 = C0396C44

[<c0126698>] (driver_probe_device+0x0/0xa8) from [<c0126838>] (driver_attach+0x4c/0x78)

r6 = C01267EC r5 = C3919DC8 r4 = C0396D08

[<c01267ec>] (driver_attach+0x0/0x78) from [<c0125e14>] (bus_for_each_dev+0x50/0x84)

r4 = 00000000

[<c0125dc4>] (bus_for_each_dev+0x0/0x84) from [<c0126884>] (driver_attach+0x20/0x28)

r7 = C02526A0 r6 = 00000000 r5 = BF1DBD78 r4 = BF1DBD8C

[<c0126864>] (driver_attach+0x0/0x28) from [<c012623c>] (bus_add_driver+0x6c/0x134) [<c01261d0>] (bus_add_driver+0x0/0x134) from [<c0126c10>] (driver_register+0x40/0x4c) [<c0126bd0>] (driver_register+0x0/0x4c) from [<c01077f4>] (pci_register_driver+0x74/0x90)

r4 = BF1DBD50

[<c0107780>] (pci_register_driver+0x0/0x90) from [<bf1dd030>] (init_ath_pci+0x30/0x70 [ath_pci])

r5 = BF1DBEE8 r4 = C024DF14

[<bf1dd000>] (init_ath_pci+0x0/0x70 [ath_pci]) from [<c0057758>] (sys_init_module+0x13dc/0x1544) [<c005637c>] (sys_init_module+0x0/0x1544) from [<c0027b20>] (ret_fast_syscall+0x0/0x2c) Code: e1a0e000 27934001 2a000009 e5903014 (e7932001)

<1>Unable to handle kernel NULL pointer dereference at virtual address 00000000

pgd = c3940000 [00000000] *pgd=03e50031, *pte=00000000, *ppte=00000000 Internal error: Oops: 17 #2 Modules linked in: ath_pci ath_dev ath_rate_atheros wlan ath_hal ixp400_eth ixp400 CPU: 0 PC is at ip_conntrack_find+0x2c/0x104 LR is at hash_conntrack+0xac/0xb4 pc : [<c01e6164>] lr : [<c01e5ba0>] Tainted: PF sp : c39194bc ip : 00000f68 fp : c39194d8 r10: c39195d4 r9 : c0261840 r8 : c3860e80 r7 : c02b53cc r6 : 00000000 r5 : c3919510 r4 : c3919510 r3 : db2b511d r2 : c3c90f68 r1 : 00000200 r0 : 00000000 Flags: nZCv IRQs on FIQs on Mode SVC_32 Segment user Control: 39FF Table: 03940000 DAC: 00000015 Process insmod (pid: 75, stack limit = 0xc3918194) Stack: (0xc39194bc to 0xc391a000)